using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLConsole.Service
{
    public class LocaPath
    {

        private volatile static LocaPath _Instance;
        public static LocaPath GetInstance => _Instance ?? (_Instance = new LocaPath());
        private LocaPath() { }

        public string FilePath { get; set; } = string.Empty;

        public string Getpath(string name)
        {
            Directory.CreateDirectory(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, $"{FilePath}\\JSON"));
            return $"{AppDomain.CurrentDomain.BaseDirectory}{FilePath}JSON\\{name}.json";
        }

    }
}
